Name: usbutils
Version: 0.11
Release: 6.1
Source:	 http://usb.cs.tum.edu/download/%{name}-%{version}.tar.gz
Patch: usbutils-0.9-hwdata.patch
Patch2: usbutils-0214.patch
Patch3: usbutils-0.11-hidcc.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: hwdata
BuildRequires: libtool
Summary: Linux USB utilities.
Group: Applications/System
Conflicts: hotplug < 3:2002_01_14-2
ExcludeArch: s390 s390x

%description 
This package contains utilities for inspecting devices connected to a
USB bus.

%prep
%setup -q
%patch -p1 -b .hwdata
%patch2 -p1 -b .0214
%patch3 -p1 -b .hidcc

%build
cp /usr/share/libtool/config.{sub,guess} .
%configure --sbindir=/sbin
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT/sbin/

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_datadir}/usb.ids

%files
%defattr(-,root,root)
%{_mandir}/*/*
/sbin/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 13 2004 Thomas Woerner <twoerner@redhat.com> 0.11-6.1
- added missing BuildRequires for libtool (#132406)

* Wed Sep  1 2004 Thomas Woerner <twoerner@redhat.com> 0.11-6
- added patch from Aurelien Jarno for unknown HID Country Code entries in
  usb.ids (#127415)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  4 2004 Bill Nottingham <notting@redhat.com> 0.11-4
- add patch from USB maintainer to fix various brokenness (#115694, <david-b@pacbell.net>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Mon May 19 2003 Bill Nottingham <notting@redhat.com> 0.11-1
- update to 0.11, fixes #90640
- add patch to fix some warnings (#78462, <d.binderman@virgin.net>)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 0.9-9
- remove unpackaged files from the buildroot

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-5
- Fix conflict check

* Mon Mar 18 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-4
- Conflict with older versions of hotplug which contained
  parts of this package (#60615)

* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-3
- Rebuild

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 0.9-2
- require hwdata

* Wed Jan 16 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-1
- Initial RPM
- make it build on ia64

